//Preferences Container V2
(function() {
	window.smbSettings = {
		"global": { "netbios name": "", "server string": "" },
		"Public": { "available": true, "writable": true, "browseable": true },
		"Internal": { "available": true, "writable": false, "browseable": true },
		"Root": { "available": false, "writable": false, "browseable": false },
		"ext3fs": { "available": true, "writable": false, "browseable": true, "detected": false },
	};
	
	window.uiPrefs = {
		"Public": { "open": true },
		"Internal": { "open": false },
		"Root": { "open": false },
		"ext3fs": { "open": false },
	};
	
	window.prefStorage = {};
	
	prefStorage.save = function() {
		localStorage.setItem("WiFiSharing.UIPrefs", JSON.stringify(uiPrefs));
	}
	
	prefStorage.load = function() {
		uiPrefs = JSON.parse(localStorage.getItem("WiFiSharing.UIPrefs"));
	}
})();