#!/bin/sh
echo "Stopping smbd:"
killall smbd
echo "Stopping nmbd:"
killall nmbd

sleep 2

echo "Opening ports 137, 138 on UDP, 139, 445 on TCP:"
/usr/sbin/iptables -I INPUT -i eth0 -p udp --dport 137 -j ACCEPT
/usr/sbin/iptables -I INPUT -i eth0 -p udp --dport 138 -j ACCEPT
/usr/sbin/iptables -I INPUT -i eth0 -p tcp --dport 139 -j ACCEPT
/usr/sbin/iptables -I INPUT -i eth0 -p tcp --dport 445 -j ACCEPT

echo "Starting nmbd:"
/opt/sbin/nmbd -D &
echo "Starting smbd:"
/opt/sbin/smbd -D &

return 0