var ActivateCommandAssistant = function() {}

ActivateCommandAssistant.prototype = {
	
	run: function(future) {
		var exec = IMPORTS.require("child_process").exec;
		
		execute = exec('sh /media/cryptofs/apps/usr/palm/services/com.shiftyaxel.wifisharing.samba/samba/startSamba.sh', 
			function (error, stdout, stderr) {
			}
		);
		
		future.result = {reply: "Samba Activated."};
	}
	
}

var DeactivateCommandAssistant = function() {}

DeactivateCommandAssistant.prototype = {
	
	run: function(future) {
		var exec = IMPORTS.require("child_process").exec;
		
		execute = exec('sh /media/cryptofs/apps/usr/palm/services/com.shiftyaxel.wifisharing.samba/samba/stopSamba.sh', 
			function (error, stdout, stderr) {
				future.result = {reply: error, stdout: stdout};
			}
		);
		
		//future.result = {reply: "Samba Deactivated."};
	}
	
}

var ScanExt3FSCommandAssistant = function() {}

ScanExt3FSCommandAssistant.prototype = {
	
	run: function(future) {
		var exists = IMPORTS.require("path").exists;
		
		find = exists('/media/ext3fs', 
			function (exists) {
				future.result = {reply: exists};
			}
		);
	}
	
}

var GetPrefCommandAssistant = function() {}

GetPrefCommandAssistant.prototype = {
	
	run: function(future) {
		var exec = IMPORTS.require("child_process").exec;
		var inCategory = this.controller.args.inCategory;
		var inPref = this.controller.args.inPref;
		
		execute = exec("sh /media/cryptofs/apps/usr/palm/services/com.shiftyaxel.wifisharing.samba/samba/getPref.sh" + " '" + inCategory + "'" + " '" + inPref + "'", 
			function (error, stdout, stderr) {
				future.result = {category: inCategory, pref: inPref, reply: stdout};
			}
		);
	}
	
}

var SetPrefCommandAssistant = function() {}

SetPrefCommandAssistant.prototype = {
	
	run: function(future) {
		var exec = IMPORTS.require("child_process").exec;
		var inCategory = this.controller.args.inCategory;
		var inPref = this.controller.args.inPref;
		var inValue = this.controller.args.inValue;
		
		execute = exec("sh /media/cryptofs/apps/usr/palm/services/com.shiftyaxel.wifisharing.samba/samba/setPref.sh" + " '" + inCategory + "'" + " '" + inPref + "'" + " '" + inValue + "'", 
			function (error, stdout, stderr) {
				future.result = {reply: error, stdout: stdout};
			}
		);
	}
	
}